program hello
  implicit none
  include 'mpif.h'
   
  integer ierr,me,nprocs
  
  call MPI_INIT(ierr)
  call MPI_COMM_SIZE(MPI_COMM_WORLD, nprocs, ierr)
  call MPI_COMM_RANK(MPI_COMM_WORLD, me, ierr)

  print *,'hello, I am task ',me,' of ',nprocs

  call MPI_FINALIZE(ierr)
  
end program hello


